﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestingLinqToSQLMockA
{
    public class ProductController
    {
        private static IProductRepository m_ProductRep = new LinqProductRepository();

        public static IProductRepository ProductRepository
        {
            get { return m_ProductRep; }
            set { m_ProductRep = value; }
        }


        public static List<Category> GetCategories()
        {
            return ProductRepository.GetCategories();
        }

        public static Category GetCategory(string categoryTitle)
        {
            return ProductRepository.GetCategory(categoryTitle);
        }

        public static List<Product> GetProductsForCategory(Category c)
        {
            return ProductRepository.GetProductsForCategory(c);
        }

        public static Product GetProduct(int productID)
        {
            return ProductRepository.GetProduct(productID);
        }
    }
}
